Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

#13 I can't start a new project

closed-fixed
James Tillman
None
5
2001-12-29
2001-09-29
dylan
No

windows 2000
correctly installed the program
c

Tk::Error: Can't call method "save_project" on an
undefined value at d:\programm
i\guido/lib/Guido/Plugin/ProjectManager.pm line 474.
[\&Guido::Plugin::ProjectManager::save_project]
(menu invoke)

Discussion

  • James Tillman
    James Tillman
    2001-09-29

    Logged In: YES
    user_id=1543

    First, thank you so much for taking the time to
    submit a bug. I realize it's something of a pain to
    have to do.

    I'm currently looking at the problem, and it appears
    that the project itself isn't getting set up
    properly by the program when you are trying to
    create a pnew one. I will keep investigating, but
    it would be helpful to me if you could outline the
    steps you took when creating your project,
    especially:

    * Was the project a TkWidget or TkApp?
    * What was the name you gave your project, and the
    directory you were trying to create it in?

    If you have the time and are willing to go one step
    further, you could run guido.pl with parameters like
    this:

    perl guido.pl trace_level 1 > tracelog.txt

    and then email me tracelog.txt.

    Again, this is only if you want to. I will keep
    trying to solve your problem based on the
    information I have right now, and will let you know
    as soon as I have a fix.

    Thanks helping out!

     
  • James Tillman
    James Tillman
    2001-09-29

    • assigned_to: nobody --> jtillman
     
  • dylan
    dylan
    2001-09-30

    Logged In: YES
    user_id=336422

    ----- Original Message -----
    From: <noreply@sourceforge.net>
    To: <noreply@sourceforge.net>
    Sent: Saturday, September 29, 2001 3:49 PM
    Subject: [ guido-Bugs-466337 ] I can't start a new project

    | Bugs item #466337, was opened at 2001-09-29 02:30
    | You can respond by visiting:
    | http://sourceforge.net/tracker/?
    func=detail&atid=116223&aid=466337&group_id=16223
    |
    | Category: None
    | Group: None
    | Status: Open
    | Resolution: None
    | Priority: 5
    | Submitted By: dylan (dylandylan)
    | >Assigned to: James Tillman (jtillman)
    | Summary: I can't start a new project
    |
    | Initial Comment:
    | windows 2000
    | correctly installed the program
    | c
    |
    | Tk::Error: Can't call method "save_project" on an
    | undefined value at d:\programm
    | i\guido/lib/Guido/Plugin/ProjectManager.pm line 474.
    | [\&Guido::Plugin::ProjectManager::save_project]
    | (menu invoke)
    |
    |
    | ----------------------------------------------------------
    ------------
    |
    | >Comment By: James Tillman (jtillman)
    | Date: 2001-09-29 06:49
    |
    | Message:
    | Logged In: YES
    | user_id=1543
    |
    | First, thank you so much for taking the time to
    | submit a bug. I realize it's something of a pain to
    | have to do.
    |
    | I'm currently looking at the problem, and it appears
    | that the project itself isn't getting set up
    | properly by the program when you are trying to
    | create a pnew one. I will keep investigating, but
    | it would be helpful to me if you could outline the
    | steps you took when creating your project,
    | especially:
    |
    | * Was the project a TkWidget or TkApp?
    | * What was the name you gave your project, and the
    | directory you were trying to create it in?
    |

    widget and app

    name: 3
    dir: d:/prova and d:\prova

    | If you have the time and are willing to go one step
    | further, you could run guido.pl with parameters like
    | this:
    |
    | perl guido.pl trace_level 1 > tracelog.txt
    |

    log
    log
    log
    log
    log

    D:\Programmi\guido\bin>perl guido.pl trace_level 1 >
    tracelog.txt
    TRACE (Guido::Application[362]): Loading plugins
    TRACE (Guido::PluginLoader[30]): Parsing plugin file
    guido_config.cfg
    TRACE (Guido::Plugin::ProjectManager[583]): Total projects:
    0
    TRACE (Guido::Plugin::Toolbox[102]): Plugin initializing
    TRACE (Guido::Plugin::Toolbox[114]): 10 tools have been
    registered
    TRACE (Guido::Plugin::Executor[168]): Plugin initialized
    TRACE (Guido::Plugin::ProjectManager[328]): Project
    templates path is d:\program
    mi\guido/lib/Guido/Project
    TRACE (Guido::Plugin::ProjectManager[330]): $VAR1 = {};

    TRACE (Guido::Plugin::ProjectManager[332]): $VAR1 = [
    'TkWidget',
    'TkApp',
    'TkApp.pm',
    'TkApp.temp',
    'TkWidget.pm'
    ];

    TRACE (Guido::Plugin::ProjectManager[337]):
    d:\programmi\guido/lib/Guido/Project
    /TkApp/templates/data
    TRACE (Guido::Plugin::ProjectManager[337]):
    d:\programmi\guido/lib/Guido/Project
    /TkWidget/templates/data
    TRACE (Guido::Plugin::ProjectManager[345]): $VAR1 = {
    'TkWidget' => {
    'label' => 'Tk Widget',
    'icon'
    => 'd:\\programmi\\guido/lib/Guido/Project/TkWi
    dget/templates/data/icon.jpg'
    },
    'TkApp' => {
    'label' => 'Tk App',
    'icon'
    => 'd:\\programmi\\guido/lib/Guido/Project/TkApp/t
    emplates/data/icon.jpg'
    }
    };

    TRACE (Guido::Plugin::ProjectManager[347]): Looking for
    icon for TkWidget
    TRACE (Guido::Plugin::ProjectManager[347]): Looking for
    icon for TkApp
    TRACE (Guido::Plugin::ProjectManager[444]): Project type:
    TkWidget, button index
    : 0

    TRACE (Guido::Plugin::ProjectManager[399]): New project
    named 2, type TkWidget,
    in directory d:\canc
    TRACE (Guido::Plugin::ProjectManager[400]): App ref is
    Guido::Application=HASH(0
    x1a75198)
    TRACE (Guido::Project[84]): Error loading project class
    TkWidget: Can't locate T
    ext/Template.pm in @INC (@INC contains:
    c:/temp/guibuilder/app/lib d:\programmi\ guido/lib D:/Perl/lib D:/Perl/site/lib .) at
    d:\programmi\guido/lib/Guido/Projec
    t/TkWidget.pm line 20.
    BEGIN failed--compilation aborted at
    d:\programmi\guido/lib/Guido/Project/TkWidg
    et.pm line 20.
    Compilation failed in require at
    d:\programmi\guido/lib/Guido/Project.pm line 79
    .

    TRACE (Guido::Application[563]): Error from
    Guido::Project::89: Error loading 2
    ():
    Can't locate Text/Template.pm in @INC (@INC contains:
    c:/temp/guibuilder/app/lib
    d:\programmi\guido/lib D:/Perl/lib D:/Perl/site/lib .) at
    d:\programmi\guido/li
    b/Guido/Project/TkWidget.pm line 20.
    BEGIN failed--compilation aborted at
    d:\programmi\guido/lib/Guido/Project/TkWidg
    et.pm line 20.
    Compilation failed in require at
    d:\programmi\guido/lib/Guido/Project.pm line 79
    .

    TRACE (Guido::Plugin::ProjectManager[328]): Project
    templates path is d:\program
    mi\guido/lib/Guido/Project
    TRACE (Guido::Plugin::ProjectManager[330]): $VAR1 = {};

    TRACE (Guido::Plugin::ProjectManager[332]): $VAR1 = [
    'TkWidget',
    'TkApp',
    'TkApp.pm',
    'TkApp.temp',
    'TkWidget.pm'
    ];

    TRACE (Guido::Plugin::ProjectManager[337]):
    d:\programmi\guido/lib/Guido/Project
    /TkApp/templates/data
    TRACE (Guido::Plugin::ProjectManager[337]):
    d:\programmi\guido/lib/Guido/Project
    /TkWidget/templates/data
    TRACE (Guido::Plugin::ProjectManager[345]): $VAR1 = {
    'TkWidget' => {
    'label' => 'Tk Widget',
    'icon'
    => 'd:\\programmi\\guido/lib/Guido/Project/TkWi
    dget/templates/data/icon.jpg'
    },
    'TkApp' => {
    'label' => 'Tk App',
    'icon'
    => 'd:\\programmi\\guido/lib/Guido/Project/TkApp/t
    emplates/data/icon.jpg'
    }
    };

    TRACE (Guido::Plugin::ProjectManager[347]): Looking for
    icon for TkWidget
    TRACE (Guido::Plugin::ProjectManager[347]): Looking for
    icon for TkApp
    TRACE (Guido::Plugin::ProjectManager[444]): Project type:
    TkWidget, button index
    : 0

    TRACE (Guido::Plugin::ProjectManager[399]): New project
    named 3, type TkWidget,
    in directory d:/canc
    TRACE (Guido::Plugin::ProjectManager[400]): App ref is
    Guido::Application=HASH(0
    x1a75198)
    TRACE (Guido::Project[84]): Error loading project class
    TkWidget: Can't locate o
    bject method "new" via package "Guido::Project::TkWidget"
    at d:\programmi\guido/
    lib/Guido/Project.pm line 80.

    TRACE (Guido::Application[563]): Error from
    Guido::Project::89: Error loading 3
    ():
    Can't locate object method "new" via
    package "Guido::Project::TkWidget" at d:\pr
    ogrammi\guido/lib/Guido/Project.pm line 80.

    TRACE (Guido::Plugin::ProjectManager[328]): Project
    templates path is d:\program
    mi\guido/lib/Guido/Project
    TRACE (Guido::Plugin::ProjectManager[330]): $VAR1 = {};

    TRACE (Guido::Plugin::ProjectManager[332]): $VAR1 = [
    'TkWidget',
    'TkApp',
    'TkApp.pm',
    'TkApp.temp',
    'TkWidget.pm'
    ];

    TRACE (Guido::Plugin::ProjectManager[337]):
    d:\programmi\guido/lib/Guido/Project
    /TkApp/templates/data
    TRACE (Guido::Plugin::ProjectManager[337]):
    d:\programmi\guido/lib/Guido/Project
    /TkWidget/templates/data
    TRACE (Guido::Plugin::ProjectManager[345]): $VAR1 = {
    'TkWidget' => {
    'label' => 'Tk Widget',
    'icon'
    => 'd:\\programmi\\guido/lib/Guido/Project/TkWi
    dget/templates/data/icon.jpg'
    },
    'TkApp' => {
    'label' => 'Tk App',
    'icon'
    => 'd:\\programmi\\guido/lib/Guido/Project/TkApp/t
    emplates/data/icon.jpg'
    }
    };

    TRACE (Guido::Plugin::ProjectManager[347]): Looking for
    icon for TkWidget
    TRACE (Guido::Plugin::ProjectManager[347]): Looking for
    icon for TkApp
    TRACE (Guido::Plugin::ProjectManager[444]): Project type:
    TkApp, button index: 1

    TRACE (Guido::Plugin::ProjectManager[399]): New project
    named 3, type TkApp, in
    directory d:/canc
    TRACE (Guido::Plugin::ProjectManager[400]): App ref is
    Guido::Application=HASH(0
    x1a75198)
    TRACE (Guido::Project[84]): Error loading project class
    TkApp: Can't locate Text
    /Template.pm in @INC (@INC contains:
    c:/temp/guibuilder/app/lib d:\programmi\gui
    do/lib D:/Perl/lib D:/Perl/site/lib .) at
    d:\programmi\guido/lib/Guido/Project/T
    kApp.pm line 22.
    BEGIN failed--compilation aborted at
    d:\programmi\guido/lib/Guido/Project/TkApp.
    pm line 22.
    Compilation failed in require at
    d:\programmi\guido/lib/Guido/Project.pm line 79
    .

    TRACE (Guido::Application[563]): Error from
    Guido::Project::89: Error loading 3
    ():
    Can't locate Text/Template.pm in @INC (@INC contains:
    c:/temp/guibuilder/app/lib
    d:\programmi\guido/lib D:/Perl/lib D:/Perl/site/lib .) at
    d:\programmi\guido/li
    b/Guido/Project/TkApp.pm line 22.
    BEGIN failed--compilation aborted at
    d:\programmi\guido/lib/Guido/Project/TkApp.
    pm line 22.
    Compilation failed in require at
    d:\programmi\guido/lib/Guido/Project.pm line 79
    .

    TRACE (Guido::Plugin::ProjectManager[328]): Project
    templates path is d:\program
    mi\guido/lib/Guido/Project
    TRACE (Guido::Plugin::ProjectManager[330]): $VAR1 = {};

    TRACE (Guido::Plugin::ProjectManager[332]): $VAR1 = [
    'TkWidget',
    'TkApp',
    'TkApp.pm',
    'TkApp.temp',
    'TkWidget.pm'
    ];

    TRACE (Guido::Plugin::ProjectManager[337]):
    d:\programmi\guido/lib/Guido/Project
    /TkApp/templates/data
    TRACE (Guido::Plugin::ProjectManager[337]):
    d:\programmi\guido/lib/Guido/Project
    /TkWidget/templates/data
    TRACE (Guido::Plugin::ProjectManager[345]): $VAR1 = {
    'TkWidget' => {
    'label' => 'Tk Widget',
    'icon'
    => 'd:\\programmi\\guido/lib/Guido/Project/TkWi
    dget/templates/data/icon.jpg'
    },
    'TkApp' => {
    'label' => 'Tk App',
    'icon'
    => 'd:\\programmi\\guido/lib/Guido/Project/TkApp/t
    emplates/data/icon.jpg'
    }
    };

    TRACE (Guido::Plugin::ProjectManager[347]): Looking for
    icon for TkWidget
    TRACE (Guido::Plugin::ProjectManager[347]): Looking for
    icon for TkApp
    TRACE (Guido::Plugin::ProjectManager[444]): Project type:
    TkApp, button index: 1

    TRACE (Guido::Plugin::ProjectManager[399]): New project
    named 2, type TkApp, in
    directory d:\canc
    TRACE (Guido::Plugin::ProjectManager[400]): App ref is
    Guido::Application=HASH(0
    x1a75198)
    TRACE (Guido::Project[84]): Error loading project class
    TkApp: Can't locate obje
    ct method "new" via package "Guido::Project::TkApp" at
    d:\programmi\guido/lib/Gu
    ido/Project.pm line 80.

    TRACE (Guido::Application[563]): Error from
    Guido::Project::89: Error loading 2
    ():
    Can't locate object method "new" via
    package "Guido::Project::TkApp" at d:\progr
    ammi\guido/lib/Guido/Project.pm line 80.

    D:\Programmi\guido\bin>

    | You can respond by visiting:
    | http://sourceforge.net/tracker/?
    func=detail&atid=116223&aid=466337&group_id=16223

     
  • dylan
    dylan
    2001-09-30

    Logged In: YES
    user_id=336422

    ----- Original Message -----
    From: <noreply@sourceforge.net>
    To: <noreply@sourceforge.net>
    Sent: Saturday, September 29, 2001 3:49 PM
    Subject: [ guido-Bugs-466337 ] I can't start a new project

    | Bugs item #466337, was opened at 2001-09-29 02:30
    | You can respond by visiting:
    | http://sourceforge.net/tracker/?
    func=detail&atid=116223&aid=466337&group_id=16223
    |
    | Category: None
    | Group: None
    | Status: Open
    | Resolution: None
    | Priority: 5
    | Submitted By: dylan (dylandylan)
    | >Assigned to: James Tillman (jtillman)
    | Summary: I can't start a new project
    |
    | Initial Comment:
    | windows 2000
    | correctly installed the program
    | c
    |
    | Tk::Error: Can't call method "save_project" on an
    | undefined value at d:\programm
    | i\guido/lib/Guido/Plugin/ProjectManager.pm line 474.
    | [\&Guido::Plugin::ProjectManager::save_project]
    | (menu invoke)
    |
    |
    | ----------------------------------------------------------
    ------------
    |
    | >Comment By: James Tillman (jtillman)
    | Date: 2001-09-29 06:49
    |
    | Message:
    | Logged In: YES
    | user_id=1543
    |
    | First, thank you so much for taking the time to
    | submit a bug. I realize it's something of a pain to
    | have to do.
    |
    | I'm currently looking at the problem, and it appears
    | that the project itself isn't getting set up
    | properly by the program when you are trying to
    | create a pnew one. I will keep investigating, but
    | it would be helpful to me if you could outline the
    | steps you took when creating your project,
    | especially:
    |
    | * Was the project a TkWidget or TkApp?
    | * What was the name you gave your project, and the
    | directory you were trying to create it in?
    |

    widget and app

    name: 3
    dir: d:/prova and d:\prova

    | If you have the time and are willing to go one step
    | further, you could run guido.pl with parameters like
    | this:
    |
    | perl guido.pl trace_level 1 > tracelog.txt
    |

    log
    log
    log
    log
    log

    D:\Programmi\guido\bin>perl guido.pl trace_level 1 >
    tracelog.txt
    TRACE (Guido::Application[362]): Loading plugins
    TRACE (Guido::PluginLoader[30]): Parsing plugin file
    guido_config.cfg
    TRACE (Guido::Plugin::ProjectManager[583]): Total projects:
    0
    TRACE (Guido::Plugin::Toolbox[102]): Plugin initializing
    TRACE (Guido::Plugin::Toolbox[114]): 10 tools have been
    registered
    TRACE (Guido::Plugin::Executor[168]): Plugin initialized
    TRACE (Guido::Plugin::ProjectManager[328]): Project
    templates path is d:\program
    mi\guido/lib/Guido/Project
    TRACE (Guido::Plugin::ProjectManager[330]): $VAR1 = {};

    TRACE (Guido::Plugin::ProjectManager[332]): $VAR1 = [
    'TkWidget',
    'TkApp',
    'TkApp.pm',
    'TkApp.temp',
    'TkWidget.pm'
    ];

    TRACE (Guido::Plugin::ProjectManager[337]):
    d:\programmi\guido/lib/Guido/Project
    /TkApp/templates/data
    TRACE (Guido::Plugin::ProjectManager[337]):
    d:\programmi\guido/lib/Guido/Project
    /TkWidget/templates/data
    TRACE (Guido::Plugin::ProjectManager[345]): $VAR1 = {
    'TkWidget' => {
    'label' => 'Tk Widget',
    'icon'
    => 'd:\\programmi\\guido/lib/Guido/Project/TkWi
    dget/templates/data/icon.jpg'
    },
    'TkApp' => {
    'label' => 'Tk App',
    'icon'
    => 'd:\\programmi\\guido/lib/Guido/Project/TkApp/t
    emplates/data/icon.jpg'
    }
    };

    TRACE (Guido::Plugin::ProjectManager[347]): Looking for
    icon for TkWidget
    TRACE (Guido::Plugin::ProjectManager[347]): Looking for
    icon for TkApp
    TRACE (Guido::Plugin::ProjectManager[444]): Project type:
    TkWidget, button index
    : 0

    TRACE (Guido::Plugin::ProjectManager[399]): New project
    named 2, type TkWidget,
    in directory d:\canc
    TRACE (Guido::Plugin::ProjectManager[400]): App ref is
    Guido::Application=HASH(0
    x1a75198)
    TRACE (Guido::Project[84]): Error loading project class
    TkWidget: Can't locate T
    ext/Template.pm in @INC (@INC contains:
    c:/temp/guibuilder/app/lib d:\programmi\ guido/lib D:/Perl/lib D:/Perl/site/lib .) at
    d:\programmi\guido/lib/Guido/Projec
    t/TkWidget.pm line 20.
    BEGIN failed--compilation aborted at
    d:\programmi\guido/lib/Guido/Project/TkWidg
    et.pm line 20.
    Compilation failed in require at
    d:\programmi\guido/lib/Guido/Project.pm line 79
    .

    TRACE (Guido::Application[563]): Error from
    Guido::Project::89: Error loading 2
    ():
    Can't locate Text/Template.pm in @INC (@INC contains:
    c:/temp/guibuilder/app/lib
    d:\programmi\guido/lib D:/Perl/lib D:/Perl/site/lib .) at
    d:\programmi\guido/li
    b/Guido/Project/TkWidget.pm line 20.
    BEGIN failed--compilation aborted at
    d:\programmi\guido/lib/Guido/Project/TkWidg
    et.pm line 20.
    Compilation failed in require at
    d:\programmi\guido/lib/Guido/Project.pm line 79
    .

    TRACE (Guido::Plugin::ProjectManager[328]): Project
    templates path is d:\program
    mi\guido/lib/Guido/Project
    TRACE (Guido::Plugin::ProjectManager[330]): $VAR1 = {};

    TRACE (Guido::Plugin::ProjectManager[332]): $VAR1 = [
    'TkWidget',
    'TkApp',
    'TkApp.pm',
    'TkApp.temp',
    'TkWidget.pm'
    ];

    TRACE (Guido::Plugin::ProjectManager[337]):
    d:\programmi\guido/lib/Guido/Project
    /TkApp/templates/data
    TRACE (Guido::Plugin::ProjectManager[337]):
    d:\programmi\guido/lib/Guido/Project
    /TkWidget/templates/data
    TRACE (Guido::Plugin::ProjectManager[345]): $VAR1 = {
    'TkWidget' => {
    'label' => 'Tk Widget',
    'icon'
    => 'd:\\programmi\\guido/lib/Guido/Project/TkWi
    dget/templates/data/icon.jpg'
    },
    'TkApp' => {
    'label' => 'Tk App',
    'icon'
    => 'd:\\programmi\\guido/lib/Guido/Project/TkApp/t
    emplates/data/icon.jpg'
    }
    };

    TRACE (Guido::Plugin::ProjectManager[347]): Looking for
    icon for TkWidget
    TRACE (Guido::Plugin::ProjectManager[347]): Looking for
    icon for TkApp
    TRACE (Guido::Plugin::ProjectManager[444]): Project type:
    TkWidget, button index
    : 0

    TRACE (Guido::Plugin::ProjectManager[399]): New project
    named 3, type TkWidget,
    in directory d:/canc
    TRACE (Guido::Plugin::ProjectManager[400]): App ref is
    Guido::Application=HASH(0
    x1a75198)
    TRACE (Guido::Project[84]): Error loading project class
    TkWidget: Can't locate o
    bject method "new" via package "Guido::Project::TkWidget"
    at d:\programmi\guido/
    lib/Guido/Project.pm line 80.

    TRACE (Guido::Application[563]): Error from
    Guido::Project::89: Error loading 3
    ():
    Can't locate object method "new" via
    package "Guido::Project::TkWidget" at d:\pr
    ogrammi\guido/lib/Guido/Project.pm line 80.

    TRACE (Guido::Plugin::ProjectManager[328]): Project
    templates path is d:\program
    mi\guido/lib/Guido/Project
    TRACE (Guido::Plugin::ProjectManager[330]): $VAR1 = {};

    TRACE (Guido::Plugin::ProjectManager[332]): $VAR1 = [
    'TkWidget',
    'TkApp',
    'TkApp.pm',
    'TkApp.temp',
    'TkWidget.pm'
    ];

    TRACE (Guido::Plugin::ProjectManager[337]):
    d:\programmi\guido/lib/Guido/Project
    /TkApp/templates/data
    TRACE (Guido::Plugin::ProjectManager[337]):
    d:\programmi\guido/lib/Guido/Project
    /TkWidget/templates/data
    TRACE (Guido::Plugin::ProjectManager[345]): $VAR1 = {
    'TkWidget' => {
    'label' => 'Tk Widget',
    'icon'
    => 'd:\\programmi\\guido/lib/Guido/Project/TkWi
    dget/templates/data/icon.jpg'
    },
    'TkApp' => {
    'label' => 'Tk App',
    'icon'
    => 'd:\\programmi\\guido/lib/Guido/Project/TkApp/t
    emplates/data/icon.jpg'
    }
    };

    TRACE (Guido::Plugin::ProjectManager[347]): Looking for
    icon for TkWidget
    TRACE (Guido::Plugin::ProjectManager[347]): Looking for
    icon for TkApp
    TRACE (Guido::Plugin::ProjectManager[444]): Project type:
    TkApp, button index: 1

    TRACE (Guido::Plugin::ProjectManager[399]): New project
    named 3, type TkApp, in
    directory d:/canc
    TRACE (Guido::Plugin::ProjectManager[400]): App ref is
    Guido::Application=HASH(0
    x1a75198)
    TRACE (Guido::Project[84]): Error loading project class
    TkApp: Can't locate Text
    /Template.pm in @INC (@INC contains:
    c:/temp/guibuilder/app/lib d:\programmi\gui
    do/lib D:/Perl/lib D:/Perl/site/lib .) at
    d:\programmi\guido/lib/Guido/Project/T
    kApp.pm line 22.
    BEGIN failed--compilation aborted at
    d:\programmi\guido/lib/Guido/Project/TkApp.
    pm line 22.
    Compilation failed in require at
    d:\programmi\guido/lib/Guido/Project.pm line 79
    .

    TRACE (Guido::Application[563]): Error from
    Guido::Project::89: Error loading 3
    ():
    Can't locate Text/Template.pm in @INC (@INC contains:
    c:/temp/guibuilder/app/lib
    d:\programmi\guido/lib D:/Perl/lib D:/Perl/site/lib .) at
    d:\programmi\guido/li
    b/Guido/Project/TkApp.pm line 22.
    BEGIN failed--compilation aborted at
    d:\programmi\guido/lib/Guido/Project/TkApp.
    pm line 22.
    Compilation failed in require at
    d:\programmi\guido/lib/Guido/Project.pm line 79
    .

    TRACE (Guido::Plugin::ProjectManager[328]): Project
    templates path is d:\program
    mi\guido/lib/Guido/Project
    TRACE (Guido::Plugin::ProjectManager[330]): $VAR1 = {};

    TRACE (Guido::Plugin::ProjectManager[332]): $VAR1 = [
    'TkWidget',
    'TkApp',
    'TkApp.pm',
    'TkApp.temp',
    'TkWidget.pm'
    ];

    TRACE (Guido::Plugin::ProjectManager[337]):
    d:\programmi\guido/lib/Guido/Project
    /TkApp/templates/data
    TRACE (Guido::Plugin::ProjectManager[337]):
    d:\programmi\guido/lib/Guido/Project
    /TkWidget/templates/data
    TRACE (Guido::Plugin::ProjectManager[345]): $VAR1 = {
    'TkWidget' => {
    'label' => 'Tk Widget',
    'icon'
    => 'd:\\programmi\\guido/lib/Guido/Project/TkWi
    dget/templates/data/icon.jpg'
    },
    'TkApp' => {
    'label' => 'Tk App',
    'icon'
    => 'd:\\programmi\\guido/lib/Guido/Project/TkApp/t
    emplates/data/icon.jpg'
    }
    };

    TRACE (Guido::Plugin::ProjectManager[347]): Looking for
    icon for TkWidget
    TRACE (Guido::Plugin::ProjectManager[347]): Looking for
    icon for TkApp
    TRACE (Guido::Plugin::ProjectManager[444]): Project type:
    TkApp, button index: 1

    TRACE (Guido::Plugin::ProjectManager[399]): New project
    named 2, type TkApp, in
    directory d:\canc
    TRACE (Guido::Plugin::ProjectManager[400]): App ref is
    Guido::Application=HASH(0
    x1a75198)
    TRACE (Guido::Project[84]): Error loading project class
    TkApp: Can't locate obje
    ct method "new" via package "Guido::Project::TkApp" at
    d:\programmi\guido/lib/Gu
    ido/Project.pm line 80.

    TRACE (Guido::Application[563]): Error from
    Guido::Project::89: Error loading 2
    ():
    Can't locate object method "new" via
    package "Guido::Project::TkApp" at d:\progr
    ammi\guido/lib/Guido/Project.pm line 80.

    D:\Programmi\guido\bin>

    | You can respond by visiting:
    | http://sourceforge.net/tracker/?
    func=detail&atid=116223&aid=466337&group_id=16223

     
  • James Tillman
    James Tillman
    2001-12-11

    • status: open --> open-fixed
     
  • James Tillman
    James Tillman
    2001-12-29

    • status: open-fixed --> closed-fixed